## check-smart-devices.ps1 - Performs a selftest on your S.M.A.R.T. HDD/SSD devices.

This script performs a selftest on your S.M.A.R.T. HDD/SSD devices.
       It requires smartctl (smartmontools package) and admin rights.

## Parameters
```powershell
/home/markus/Repos/PowerShell/Scripts/check-smart-devices.ps1 [[-type] <String>] [<CommonParameters>]

-type <String>
    Specifies the type of selftest: either short (default) or long
    
    Required?                    false
    Position?                    1
    Default value                short
    Accept pipeline input?       false
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS> ./check-smart-devices
✔️ short selftest started on S.M.A.R.T. device /dev/sda

```

## Notes
Author: Markus Fleschutz · License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

*Generated by convert-ps2md.ps1 using the comment-based help of check-smart-devices.ps1*
